Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class SequencerService

    java.lang.Object
      org.modeshape.jboss.service.SequencerService

All Implemented Interfaces:
  org.jboss.msc.service.Service<JcrRepository>, org.jboss.msc.value.Value<JcrRepository>

    public class SequencerService

extends Object
implements org.jboss.msc.service.Service<JcrRepository>

Field Summary

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`SequencerService(String repositoryName, Properties sequencerProperties)`

Method Summary
`org.jboss.msc.value.InjectedValue<JcrRepository>` | `getJcrRepositoryInjector()`
`org.jboss.msc.value.InjectedValue<ModeShapeEngine>` | `getModeShapeEngineInjector()`
`JcrRepository` | `getValue()`
`void` | `start(org.jboss.msc.service.StartContext arg0)`
`void` | `stop(org.jboss.msc.service.StopContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencerService

    public SequencerService(String repositoryName,
                            Properties sequencerProperties)

Method Detail

### getValue

    public JcrRepository getValue()
                           throws IllegalStateException,
                                  IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<JcrRepository>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### start

    public void start(org.jboss.msc.service.StartContext arg0)
               throws org.jboss.msc.service.StartException

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<JcrRepository>`
  Throws:
    `org.jboss.msc.service.StartException`

### stop

    public void stop(org.jboss.msc.service.StopContext arg0)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<JcrRepository>`

### getModeShapeEngineInjector

    public org.jboss.msc.value.InjectedValue<ModeShapeEngine> getModeShapeEngineInjector()

  Returns:
    the injector

### getJcrRepositoryInjector

    public org.jboss.msc.value.InjectedValue<JcrRepository> getJcrRepositoryInjector()

  Returns:
    the jcrRepositoryInjector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.